diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 6727ddf..9849dfa 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -119515,6 +119515,7 @@ SparseMultivariateTaylorSeries(Coef,Var,SMP):_
     Rep := StS -- Below we use the fact that Rep of PS is Stream SMP.
     extend(x,n) == extend(x,n + 1)$Rep
     complete x == complete(x)$Rep
+    stream(x:%):Rep == x @ Rep
 
     evalstream:(%,L Var,L SMP) -> StS
     evalstream(s:%,lv:(L Var),lsmp:(L SMP)):(ST SMP) ==
@@ -119545,9 +119546,9 @@ SparseMultivariateTaylorSeries(Coef,Var,SMP):_
 --% creation of series
  
     coerce(r:Coef) == monom(r::SMP,0)$STT
-    smp:SMP * p:% == (((smp) *  (p pretend Rep))$STT)pretend %
-    r:Coef * p:% == (((r::SMP) *  (p pretend Rep))$STT)pretend %
-    p:% * r:Coef == (((r::SMP) * ( p pretend Rep))$STT)pretend %
+    smp:SMP * p:% == (((smp)    * (p @ Rep))$STT) @ %
+    r:Coef * p:% ==  (((r::SMP) * (p @ Rep))$STT) @ %
+    p:% * r:Coef ==  (((r::SMP) * (p @ Rep))$STT) @ %
     mts(p:SMP):% ==
       (uv := mainVariable p) case "failed" => monom(p,0)$STT
       v := uv :: Var
@@ -119601,7 +119602,7 @@ SparseMultivariateTaylorSeries(Coef,Var,SMP):_
       #v ^= #q =>
         error "eval: number of variables should equal number of values"
       nq : L StS := [restCheck(i pretend StS) for i in q]
-      addiag(map(csubst(v,nq),s pretend StS)$ST2(SMP,StS))$STT pretend %
+      addiag(map(csubst(v,nq),s pretend StS)$ST2(SMP,StS))$STT @ %
  
     substmts(v:Var,p:SMP,q:%):% ==
       up := univariate(p,v)
@@ -119614,7 +119615,7 @@ SparseMultivariateTaylorSeries(Coef,Var,SMP):_
       ss
  
     subststream(v:Var,p:SMP,q:StS):StS==
-      substmts(v,p,q pretend %) pretend StS
+      substmts(v,p,q @ %) pretend StS
  
     comp1:(Var,StS,StS) -> StS
     comp1(v,r,t)== 
@@ -119639,13 +119640,11 @@ SparseMultivariateTaylorSeries(Coef,Var,SMP):_
  
     if Coef has Algebra Fraction Integer then
  
-      stream(x:%):Rep == x pretend Rep
- 
       (x:%) ** (r:RN) == powern(r,stream x)$STT
       (r:RN) * (x:%)  == 
-        map((z1:SMP):SMP +-> r*z1,stream x)$ST2(SMP,SMP) pretend %
+        map((z1:SMP):SMP +-> r*z1,stream x)$ST2(SMP,SMP) @ %
       (x:%) * (r:RN)  == 
-        map((z1:SMP):SMP +-> z1*r,stream x)$ST2(SMP,SMP) pretend %
+        map((z1:SMP):SMP +-> z1*r,stream x)$ST2(SMP,SMP) @ %
  
       exp x == exp(stream x)$STF
       log x == log(stream x)$STF
@@ -119723,10 +119722,9 @@ SparseMultivariateTaylorSeries(Coef,Var,SMP):_
       empty? l => (0$SMP) :: OUT
       reduce("+",reverse_! l)
     if Coef has Field then
-         stream(x:%):Rep == x pretend Rep
          SF2==> StreamFunctions2
          p:% / r:Coef ==
-           (map((z1:SMP):SMP +-> z1/$SMP r,stream p)$SF2(SMP,SMP)) pretend %
+           (map((z1:SMP):SMP +-> z1/$SMP r,stream p)$SF2(SMP,SMP)) @ %
 
 \end{chunk}
 \begin{chunk}{SMTS.dotabb}
diff --git a/buglist b/buglist
index 9a4b0fb..b02b3a2 100644
--- a/buglist
+++ b/buglist
@@ -5,13 +5,41 @@ todo 330:
 wish 1011:
 meh 5:
 errors 10016:
-warnings 20567:
+warnings 20568:
 macros 30234:
 typos 40363:
 dup 50006:
 nonextend 60077:
 
 =========================================================================
+warnings 20567:
+
+>compiling SMTS.spad to SMTS.nrlib
+ 
+   Warnings: 
+      [1] evalstream:  z1 has no value
+      [2] addvariable:  c2 has no value
+      [3] addvariable:  n1 has no value
+      [4] coefficient: signature of lhs not unique: SMP$(NonNegativeInteger) chosen
+      [5] coefficient:  z1 has no value
+      [6] *: pretendRep -- should replace by @
+      [7] *: pretend$ -- should replace by @
+      [8] sortmfirst:  v2 has no value
+      [9] sortmfirst:  v1 has no value
+      [10] csubst:  p1 has no value
+      [11] eval: pretend$ -- should replace by @
+      [12] subststream: pretend$ -- should replace by @
+      [13] comp1:  p1 has no value
+      [14] differentiate:  z1 has no value
+      [15] stream: pretendRep -- should replace by @
+      [16] *:  z1 has no value
+      [17] fintegrate:  z1 has no value
+      [18] integrate:  z1 has no value
+      [19] coerce:  l has no value
+      [20] /:  z1 has no value
+      [21] /: pretend$ -- should replace by @
+ 
+=========================================================================
 nonextend 60076:
 
 >compiling AFFSP.spad to AFFSP.nrlib
@@ -780,11 +808,6 @@ nonextend 60000:
 (|OrderedAbelianMonoidSup|)    finalizing nrlib PI 
 
 =========================================================================
-dup 50005:
-
-Warning: SMTS;stream has a duplicate definition in this file
-
-=========================================================================
 dup 50004:
 
 Warning: RPOLCAT-;exactQuo has a duplicate definition in this file
@@ -9548,34 +9571,6 @@ warnings 20384:
       [11] differentiate:  x1 has no value
  
 =========================================================================
-warnings 20383:
-
->compiling SMTS.spad to SMTS.nrlib
- 
-   Warnings: 
-      [1] evalstream:  z1 has no value
-      [2] addvariable:  c2 has no value
-      [3] addvariable:  n1 has no value
-      [4] coefficient: signature of lhs not unique: SMP$(NonNegativeInteger) chosen
-      [5] coefficient:  z1 has no value
-      [6] *: pretendRep -- should replace by @
-      [7] *: pretend$ -- should replace by @
-      [8] sortmfirst:  v2 has no value
-      [9] sortmfirst:  v1 has no value
-      [10] csubst:  p1 has no value
-      [11] eval: pretend$ -- should replace by @
-      [12] subststream: pretend$ -- should replace by @
-      [13] comp1:  p1 has no value
-      [14] differentiate:  z1 has no value
-      [15] stream: pretendRep -- should replace by @
-      [16] *:  z1 has no value
-      [17] fintegrate:  z1 has no value
-      [18] integrate:  z1 has no value
-      [19] coerce:  l has no value
-      [20] /:  z1 has no value
-      [21] /: pretend$ -- should replace by @
- 
-=========================================================================
 warnings 20382:
 
 >compiling SOLVEFOR.spad to SOLVEFOR.nrlib
@@ -22716,11 +22711,6 @@ Warning: PSETCAT-;exactQuo has a duplicate definition in this file
 
 ============================================================================
 
-   finalizing nrlib SMTS 
-Warning: SMTS;stream has a duplicate definition in this file
-
-============================================================================
-
 add Stephen's patch:
  width-fix.patch
 
@@ -22793,7 +22783,6 @@ duplicate definition in file
  RPOLCAT-;exactQuo
  RPOLCAT-;ZToR
  RPOLCAT-;PZToPR
- SMTS;stream
 
 ============================================================================
 
@@ -32454,25 +32443,6 @@ extension of ##1 to (Polynomial (Integer)) ignored
 
 ============================================================================
 
-   finalizing nrlib SMTS 
-   Warnings: 
-      [1] coefficient: signature of lhs not unique: SMP$(NonNegativeInteger) chosen
-      [2] *: pretendRep -- should replace by @
-      [3] *: pretend$ -- should replace by @
-      [4] eval: pretend$ -- should replace by @
-      [5] subststream: pretend$ -- should replace by @
-      [6] stream: pretendRep -- should replace by @
-      [7] coerce:  l has no value
-      [8] /: pretend$ -- should replace by @
- 
---------------non extending category----------------------
-.. SparseMultivariateTaylorSeries(#1,#2,#3) of cat 
-(|Join| (|MultivariateTaylorSeriesCategory| |#1| |#2|) (CATEGORY |domain| (SIGNATURE |coefficient| (|#3| $ (|NonNegativeInteger|))) (SIGNATURE |coerce| ($ |#2|)) (SIGNATURE |coerce| ($ |#3|)) (SIGNATURE * ($ |#3| $)) (SIGNATURE |csubst| ((|Mapping| (|Stream| |#3|) |#3|) (|List| |#2|) (|List| (|Stream| |#3|)))) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (PROGN (SIGNATURE |integrate| ($ $ |#2| |#1|)) (SIGNATURE |fintegrate| ($ (|Mapping| $) |#2| |#1|))) |noBranch|)))    has no  coefficients : % -> Stream #3 
-
-Warning: SMTS;stream has a duplicate definition in this file
-
-============================================================================
-
    finalizing nrlib SOLVEFOR 
    Warnings: 
       [1] intsolve: not known that (IntegralDomain) is of mode (CATEGORY package (SIGNATURE solve ((List F) UP)) (SIGNATURE particularSolution (F UP)) (SIGNATURE mapSolve ((Record (: solns (List F)) (: maps (List (Record (: arg F) (: res F))))) UP (Mapping F F))) (SIGNATURE linear ((List F) UP)) (SIGNATURE quadratic ((List F) UP)) (SIGNATURE cubic ((List F) UP)) (SIGNATURE quartic ((List F) UP)) (SIGNATURE linear ((List F) F F)) (SIGNATURE quadratic ((List F) F F F)) (SIGNATURE cubic ((List F) F F F F)) (SIGNATURE quartic ((List F) F F F F F)) (SIGNATURE aLinear (F F F)) (SIGNATURE aQuadratic (F F F F)) (SIGNATURE aCubic (F F F F F)) (SIGNATURE aQuartic (F F F F F F)))
@@ -36171,7 +36141,7 @@ Warning: SREGSET;decompose has a duplicate definition in this file
       [7] solveLinearPolynomialEquation: not known that (Ring) is of mode (CATEGORY domain (SIGNATURE gcdPolynomial ((SparseUnivariatePolynomial S) (SparseUnivariatePolynomial S) (SparseUnivariatePolynomial S))) (SIGNATURE squareFree ((Factored S) S)) (SIGNATURE squareFreePart (S S)) (SIGNATURE charthRoot ((Union S failed) S)) (SIGNATURE < ((Boolean) S S)) (SIGNATURE convert ((InputForm) S)) (SIGNATURE convert ((Pattern (Integer)) S)) (SIGNATURE convert ((Pattern (Float)) S)) (SIGNATURE patternMatch ((PatternMatchResult (Integer) S) S (Pattern (Integer)) (PatternMatchResult (Integer) S))) (SIGNATURE patternMatch ((PatternMatchResult (Float) S) S (Pattern (Float)) (PatternMatchResult (Float) S))) (SIGNATURE factor ((Factored S) S)) (SIGNATURE factorPolynomial ((Factored (SparseUnivariatePolynomial S)) (SparseUnivariatePolynomial S))) (SIGNATURE factorSquareFreePolynomial ((Factored (SparseUnivariatePolynomial S)) (SparseUnivariatePolynomial S))) (SIGNATURE solveLinearPolynomialEquation ((Union (List (SparseUnivariatePolynomial S)) failed) (List (SparseUnivariatePolynomial S)) (SparseUnivariatePolynomial S))) (SIGNATURE conditionP ((Union (Vector S) failed) (Matrix S))) (SIGNATURE primitivePart (S S VarSet)) (SIGNATURE content (S S VarSet)) (SIGNATURE discriminant (S S VarSet)) (SIGNATURE resultant (S S S VarSet)) (SIGNATURE primitiveMonomials ((List S) S)) (SIGNATURE totalDegree ((NonNegativeInteger) S (List VarSet))) (SIGNATURE totalDegree ((NonNegativeInteger) S)) (SIGNATURE isExpt ((Union (Record (: var VarSet) (: exponent (NonNegativeInteger))) failed) S)) (SIGNATURE isTimes ((Union (List S) failed) S)) (SIGNATURE isPlus ((Union (List S) failed) S)) (SIGNATURE monomial (S S (List VarSet) (List (NonNegativeInteger)))) (SIGNATURE monomial (S S VarSet (NonNegativeInteger))) (SIGNATURE monicDivide ((Record (: quotient S) (: remainder S)) S S VarSet)) (SIGNATURE monomials ((List S) S)) (SIGNATURE coefficient (S S (List VarSet) (List (NonNegativeInteger)))) (SIGNATURE coefficient (S S VarSet (NonNegativeInteger))) (SIGNATURE reducedSystem ((Matrix R) (Matrix S))) (SIGNATURE reducedSystem ((Record (: mat (Matrix R)) (: vec (Vector R))) (Matrix S) (Vector S))) (SIGNATURE reducedSystem ((Record (: mat (Matrix (Integer))) (: vec (Vector (Integer)))) (Matrix S) (Vector S))) (SIGNATURE reducedSystem ((Matrix (Integer)) (Matrix S))) (SIGNATURE retract (VarSet S)) (SIGNATURE retractIfCan ((Union VarSet failed) S)) (SIGNATURE eval (S S (List VarSet) (List S))) (SIGNATURE eval (S S VarSet S)) (SIGNATURE eval (S S (List VarSet) (List R))) (SIGNATURE eval (S S VarSet R)) (SIGNATURE eval (S S (List S) (List S))) (SIGNATURE eval (S S S S)) (SIGNATURE eval (S S (Equation S))) (SIGNATURE eval (S S (List (Equation S)))) (SIGNATURE monomial (S R E)) (SIGNATURE coefficient (R S E)) (SIGNATURE retract ((Integer) S)) (SIGNATURE retractIfCan ((Union (Integer) failed) S)) (SIGNATURE retract ((Fraction (Integer)) S)) (SIGNATURE retractIfCan ((Union (Fraction (Integer)) failed) S)) (SIGNATURE retractIfCan ((Union R failed) S)) (SIGNATURE retract (R S)) (SIGNATURE content (R S)) (SIGNATURE primitivePart (S S)))
       [8] factorPolynomial: not known that (Ring) is of mode (CATEGORY domain (SIGNATURE gcdPolynomial ((SparseUnivariatePolynomial S) (SparseUnivariatePolynomial S) (SparseUnivariatePolynomial S))) (SIGNATURE squareFree ((Factored S) S)) (SIGNATURE squareFreePart (S S)) (SIGNATURE charthRoot ((Union S failed) S)) (SIGNATURE < ((Boolean) S S)) (SIGNATURE convert ((InputForm) S)) (SIGNATURE convert ((Pattern (Integer)) S)) (SIGNATURE convert ((Pattern (Float)) S)) (SIGNATURE patternMatch ((PatternMatchResult (Integer) S) S (Pattern (Integer)) (PatternMatchResult (Integer) S))) (SIGNATURE patternMatch ((PatternMatchResult (Float) S) S (Pattern (Float)) (PatternMatchResult (Float) S))) (SIGNATURE factor ((Factored S) S)) (SIGNATURE factorPolynomial ((Factored (SparseUnivariatePolynomial S)) (SparseUnivariatePolynomial S))) (SIGNATURE factorSquareFreePolynomial ((Factored (SparseUnivariatePolynomial S)) (SparseUnivariatePolynomial S))) (SIGNATURE solveLinearPolynomialEquation ((Union (List (SparseUnivariatePolynomial S)) failed) (List (SparseUnivariatePolynomial S)) (SparseUnivariatePolynomial S))) (SIGNATURE conditionP ((Union (Vector S) failed) (Matrix S))) (SIGNATURE primitivePart (S S VarSet)) (SIGNATURE content (S S VarSet)) (SIGNATURE discriminant (S S VarSet)) (SIGNATURE resultant (S S S VarSet)) (SIGNATURE primitiveMonomials ((List S) S)) (SIGNATURE totalDegree ((NonNegativeInteger) S (List VarSet))) (SIGNATURE totalDegree ((NonNegativeInteger) S)) (SIGNATURE isExpt ((Union (Record (: var VarSet) (: exponent (NonNegativeInteger))) failed) S)) (SIGNATURE isTimes ((Union (List S) failed) S)) (SIGNATURE isPlus ((Union (List S) failed) S)) (SIGNATURE monomial (S S (List VarSet) (List (NonNegativeInteger)))) (SIGNATURE monomial (S S VarSet (NonNegativeInteger))) (SIGNATURE monicDivide ((Record (: quotient S) (: remainder S)) S S VarSet)) (SIGNATURE monomials ((List S) S)) (SIGNATURE coefficient (S S (List VarSet) (List (NonNegativeInteger)))) (SIGNATURE coefficient (S S VarSet (NonNegativeInteger))) (SIGNATURE reducedSystem ((Matrix R) (Matrix S))) (SIGNATURE reducedSystem ((Record (: mat (Matrix R)) (: vec (Vector R))) (Matrix S) (Vector S))) (SIGNATURE reducedSystem ((Record (: mat (Matrix (Integer))) (: vec (Vector (Integer)))) (Matrix S) (Vector S))) (SIGNATURE reducedSystem ((Matrix (Integer)) (Matrix S))) (SIGNATURE retract (VarSet S)) (SIGNATURE retractIfCan ((Union VarSet failed) S)) (SIGNATURE eval (S S (List VarSet) (List S))) (SIGNATURE eval (S S VarSet S)) (SIGNATURE eval (S S (List VarSet) (List R))) (SIGNATURE eval (S S VarSet R)) (SIGNATURE eval (S S (List S) (List S))) (SIGNATURE eval (S S S S)) (SIGNATURE eval (S S (Equation S))) (SIGNATURE eval (S S (List (Equation S)))) (SIGNATURE monomial (S R E)) (SIGNATURE coefficient (R S E)) (SIGNATURE retract ((Integer) S)) (SIGNATURE retractIfCan ((Union (Integer) failed) S)) (SIGNATURE retract ((Fraction (Integer)) S)) (SIGNATURE retractIfCan ((Union (Fraction (Integer)) failed) S)) (SIGNATURE retractIfCan ((Union R failed) S)) (SIGNATURE retract (R S)) (SIGNATURE content (R S)) (SIGNATURE primitivePart (S S)))
       [9] factor: not known that (IntegralDomain) is of mode (CATEGORY domain (SIGNATURE gcdPolynomial ((SparseUnivariatePolynomial S) (SparseUnivariatePolynomial S) (SparseUnivariatePolynomial S))) (SIGNATURE squareFree ((Factored S) S)) (SIGNATURE squareFreePart (S S)) (SIGNATURE charthRoot ((Union S failed) S)) (SIGNATURE < ((Boolean) S S)) (SIGNATURE convert ((InputForm) S)) (SIGNATURE convert ((Pattern (Integer)) S)) (SIGNATURE convert ((Pattern (Float)) S)) (SIGNATURE patternMatch ((PatternMatchResult (Integer) S) S (Pattern (Integer)) (PatternMatchResult (Integer) S))) (SIGNATURE patternMatch ((PatternMatchResult (Float) S) S (Pattern (Float)) (PatternMatchResult (Float) S))) (SIGNATURE factor ((Factored S) S)) (SIGNATURE factorPolynomial ((Factored (SparseUnivariatePolynomial S)) (SparseUnivariatePolynomial S))) (SIGNATURE factorSquareFreePolynomial ((Factored (SparseUnivariatePolynomial S)) (SparseUnivariatePolynomial S))) (SIGNATURE solveLinearPolynomialEquation ((Union (List (SparseUnivariatePolynomial S)) failed) (List (SparseUnivariatePolynomial S)) (SparseUnivariatePolynomial S))) (SIGNATURE conditionP ((Union (Vector S) failed) (Matrix S))) (SIGNATURE primitivePart (S S VarSet)) (SIGNATURE content (S S VarSet)) (SIGNATURE discriminant (S S VarSet)) (SIGNATURE resultant (S S S VarSet)) (SIGNATURE primitiveMonomials ((List S) S)) (SIGNATURE totalDegree ((NonNegativeInteger) S (List VarSet))) (SIGNATURE totalDegree ((NonNegativeInteger) S)) (SIGNATURE isExpt ((Union (Record (: var VarSet) (: exponent (NonNegativeInteger))) failed) S)) (SIGNATURE isTimes ((Union (List S) failed) S)) (SIGNATURE isPlus ((Union (List S) failed) S)) (SIGNATURE monomial (S S (List VarSet) (List (NonNegativeInteger)))) (SIGNATURE monomial (S S VarSet (NonNegativeInteger))) (SIGNATURE monicDivide ((Record (: quotient S) (: remainder S)) S S VarSet)) (SIGNATURE monomials ((List S) S)) (SIGNATURE coefficient (S S (List VarSet) (List (NonNegativeInteger)))) (SIGNATURE coefficient (S S VarSet (NonNegativeInteger))) (SIGNATURE reducedSystem ((Matrix R) (Matrix S))) (SIGNATURE reducedSystem ((Record (: mat (Matrix R)) (: vec (Vector R))) (Matrix S) (Vector S))) (SIGNATURE reducedSystem ((Record (: mat (Matrix (Integer))) (: vec (Vector (Integer)))) (Matrix S) (Vector S))) (SIGNATURE reducedSystem ((Matrix (Integer)) (Matrix S))) (SIGNATURE retract (VarSet S)) (SIGNATURE retractIfCan ((Union VarSet failed) S)) (SIGNATURE eval (S S (List VarSet) (List S))) (SIGNATURE eval (S S VarSet S)) (SIGNATURE eval (S S (List VarSet) (List R))) (SIGNATURE eval (S S VarSet R)) (SIGNATURE eval (S S (List S) (List S))) (SIGNATURE eval (S S S S)) (SIGNATURE eval (S S (Equation S))) (SIGNATURE eval (S S (List (Equation S)))) (SIGNATURE monomial (S R E)) (SIGNATURE coefficient (R S E)) (SIGNATURE retract ((Integer) S)) (SIGNATURE retractIfCan ((Union (Integer) failed) S)) (SIGNATURE retract ((Fraction (Integer)) S)) (SIGNATURE retractIfCan ((Union (Fraction (Integer)) failed) S)) (SIGNATURE retractIfCan ((Union R failed) S)) (SIGNATURE retract (R S)) (SIGNATURE content (R S)) (SIGNATURE primitivePart (S S)))
-      [10] conditionP: :(Integer) -- should replace by pretend
+      [10] conditionP: :(Integer) --should replace by pretend
       [11] patternMatch: not known that (SetCategory) is of mode (CATEGORY domain (SIGNATURE gcdPolynomial ((SparseUnivariatePolynomial S) (SparseUnivariatePolynomial S) (SparseUnivariatePolynomial S))) (SIGNATURE squareFree ((Factored S) S)) (SIGNATURE squareFreePart (S S)) (SIGNATURE charthRoot ((Union S failed) S)) (SIGNATURE < ((Boolean) S S)) (SIGNATURE convert ((InputForm) S)) (SIGNATURE convert ((Pattern (Integer)) S)) (SIGNATURE convert ((Pattern (Float)) S)) (SIGNATURE patternMatch ((PatternMatchResult (Integer) S) S (Pattern (Integer)) (PatternMatchResult (Integer) S))) (SIGNATURE patternMatch ((PatternMatchResult (Float) S) S (Pattern (Float)) (PatternMatchResult (Float) S))) (SIGNATURE factor ((Factored S) S)) (SIGNATURE factorPolynomial ((Factored (SparseUnivariatePolynomial S)) (SparseUnivariatePolynomial S))) (SIGNATURE factorSquareFreePolynomial ((Factored (SparseUnivariatePolynomial S)) (SparseUnivariatePolynomial S))) (SIGNATURE solveLinearPolynomialEquation ((Union (List (SparseUnivariatePolynomial S)) failed) (List (SparseUnivariatePolynomial S)) (SparseUnivariatePolynomial S))) (SIGNATURE conditionP ((Union (Vector S) failed) (Matrix S))) (SIGNATURE primitivePart (S S VarSet)) (SIGNATURE content (S S VarSet)) (SIGNATURE discriminant (S S VarSet)) (SIGNATURE resultant (S S S VarSet)) (SIGNATURE primitiveMonomials ((List S) S)) (SIGNATURE totalDegree ((NonNegativeInteger) S (List VarSet))) (SIGNATURE totalDegree ((NonNegativeInteger) S)) (SIGNATURE isExpt ((Union (Record (: var VarSet) (: exponent (NonNegativeInteger))) failed) S)) (SIGNATURE isTimes ((Union (List S) failed) S)) (SIGNATURE isPlus ((Union (List S) failed) S)) (SIGNATURE monomial (S S (List VarSet) (List (NonNegativeInteger)))) (SIGNATURE monomial (S S VarSet (NonNegativeInteger))) (SIGNATURE monicDivide ((Record (: quotient S) (: remainder S)) S S VarSet)) (SIGNATURE monomials ((List S) S)) (SIGNATURE coefficient (S S (List VarSet) (List (NonNegativeInteger)))) (SIGNATURE coefficient (S S VarSet (NonNegativeInteger))) (SIGNATURE reducedSystem ((Matrix R) (Matrix S))) (SIGNATURE reducedSystem ((Record (: mat (Matrix R)) (: vec (Vector R))) (Matrix S) (Vector S))) (SIGNATURE reducedSystem ((Record (: mat (Matrix (Integer))) (: vec (Vector (Integer)))) (Matrix S) (Vector S))) (SIGNATURE reducedSystem ((Matrix (Integer)) (Matrix S))) (SIGNATURE retract (VarSet S)) (SIGNATURE retractIfCan ((Union VarSet failed) S)) (SIGNATURE eval (S S (List VarSet) (List S))) (SIGNATURE eval (S S VarSet S)) (SIGNATURE eval (S S (List VarSet) (List R))) (SIGNATURE eval (S S VarSet R)) (SIGNATURE eval (S S (List S) (List S))) (SIGNATURE eval (S S S S)) (SIGNATURE eval (S S (Equation S))) (SIGNATURE eval (S S (List (Equation S)))) (SIGNATURE monomial (S R E)) (SIGNATURE coefficient (R S E)) (SIGNATURE retract ((Integer) S)) (SIGNATURE retractIfCan ((Union (Integer) failed) S)) (SIGNATURE retract ((Fraction (Integer)) S)) (SIGNATURE retractIfCan ((Union (Fraction (Integer)) failed) S)) (SIGNATURE retractIfCan ((Union R failed) S)) (SIGNATURE retract (R S)) (SIGNATURE content (R S)) (SIGNATURE primitivePart (S S)))
 
 ============================================================================
@@ -40596,3 +40566,20 @@ warnings 20057:
       [1] OMwrite: pretend(String) -- should replace by @
       [2] **: pretend(Integer) -- should replace by @
 
+=========================================================================
+warnings 20383:
+
+>compiling SMTS.spad to SMTS.nrlib
+ 
+   Warnings: 
+      [6] *: pretendRep -- should replace by @
+      [7] *: pretend$ -- should replace by @
+      [11] eval: pretend$ -- should replace by @
+      [12] subststream: pretend$ -- should replace by @
+      [15] stream: pretendRep -- should replace by @
+      [21] /: pretend$ -- should replace by @
+ 
+dup 50005:
+
+Warning: SMTS;stream has a duplicate definition in this file
+
diff --git a/changelog b/changelog
index 90a682b..52314ae 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20130314 tpd src/axiom-website/patches.html 20130314.09.tpd.patch
+20130314 tpd buglist SMTS fix 20383, 50005, add 20567
+20130314 tpd books/bookvol10.3 SMTS fix 20383, 50005, add 20567
 20130314 tpd src/axiom-website/patches.html 20130314.08.tpd.patch
 20130314 tpd buglist SINT fix 20057 pretend
 20130314 tpd books/bookvol10.3 SINT fix 20057 pretend
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 56d61ae..5271a71 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4045,5 +4045,7 @@ books/bookvol10.3 ITAYLOR fix 20542 pretend
 books/bookvol10.3 SYMBOL fix 20056 pretend
 <a href="patches/20130314.08.tpd.patch">20130314.08.tpd.patch</a>
 books/bookvol10.3 SINT fix 20057 pretend
+<a href="patches/20130314.09.tpd.patch">20130314.09.tpd.patch</a>
+books/bookvol10.3 SMTS fix 20383, 50005, add 20567
  </body>
 </html>
